# LifecycleBasePlugin

abstract class LifecycleBasePlugin : Plugin<T>

A org.gradle.api.Plugin which defines a basic project lifecycle.

#### See also

<a href="https://docs.gradle.org/current/userguide/base_plugin.html">Base plugin reference</a>

## Constructors

LifecycleBasePlugin
Link copied to clipboard
constructor()

## Properties

ASSEMBLE_TASK_NAME
Link copied to clipboard
val ASSEMBLE_TASK_NAME: String = "assemble"
BUILD_GROUP
Link copied to clipboard
val BUILD_GROUP: String = "build"
BUILD_TASK_NAME
Link copied to clipboard
val BUILD_TASK_NAME: String = "build"
CHECK_TASK_NAME
Link copied to clipboard
val CHECK_TASK_NAME: String = "check"
CLEAN_TASK_NAME
Link copied to clipboard
val CLEAN_TASK_NAME: String = "clean"
VERIFICATION_GROUP
Link copied to clipboard
val VERIFICATION_GROUP: String = "verification"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)